Bug 103247 - Use ExifTool to extract preview from exotic images not supported by LibRaw and Exiv2 (aka FlashPict)
Summary: Use ExifTool to extract preview from exotic images not supported by LibRaw an...
Status: REPORTED
Alias: None
Product: digikam
Classification: Unclassified
Component: Metadata-ExifTool (show other bugs)
Version: 7.3.0
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-05 00:23 UTC by Dik Takken
Modified: 2022-04-06 20:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dik Takken 2005-04-05 00:23:05 UTC
Version:           0.7.2 (using KDE KDE 3.3.2)
OS:                Linux

The RMB menu of the thumbnail view could use some re-structuring. There are currently 17 items in this menu, which is far too many to learn to access quickly.

Some editing functions could be grouped into one sub-menu called 'Adjust', like so:

Adjust
|
| - Orientation 
         |------Rotate
         |------Flip
| - Color
       | -- Convert to B+W
       | -- Sepia Colors
       | -- etc.
| - Comments and Tags
| - Time and Date
| - Name
Comment 1 Stephan Binner 2005-04-05 00:29:47 UTC
dupe of 103246
Comment 2 caulier.gilles 2022-04-06 20:54:41 UTC
Git commit febc26188fe4e6037e5c8a9b1840f65729972a47 by Gilles Caulier.
Committed on 06/04/2022 at 20:38.
Pushed by cgilles into branch 'master'.

Add ExifTool backend to load metadata for image or video.
Exiv2 is always used in priority. If it fail, ExifTool is used instead.
ExifTool has the capability to create an EXV container for Exiv2. All metadata extracted with ExifTool
are concatened to the EXV container with all possible translations with Exif, Iptc, and Xmp tags.
Of course tags supported by ExifTool but not supported by Exiv2 are lost.
Related: bug 385726, bug 416516, bug 360714, bug 264210, bug 426938, bug 419801, bug 419375

M  +1    -0    core/libs/metadataengine/CMakeLists.txt
M  +7    -0    core/libs/metadataengine/dmetadata/dmetadata.h
A  +94   -0    core/libs/metadataengine/dmetadata/dmetadata_exiftool.cpp     [License: GPL (v2+)]
M  +42   -17   core/libs/metadataengine/dmetadata/dmetadata_fileio.cpp
M  +7    -6    core/libs/metadataengine/engine/metaengine.h
M  +5    -0    core/libs/metadataengine/engine/metaengine_fileio.cpp
M  +4    -2    core/libs/metadataengine/exiftool/exiftoolparser_command.cpp

https://invent.kde.org/graphics/digikam/commit/febc26188fe4e6037e5c8a9b1840f65729972a47